package com.ruoyi.wms.enums;

import lombok.Getter;

public enum AgvTaskEnum {

    NOTINITIATED(1, "未发起"),
    ONGOING(2, "进行中"),
    FINISH(3, "已完成"),
    FAIL(4, "失败"),
    CANCEL(5, "取消"),
    PENDING(6, "挂起"),
    ;

    @Getter
    private int code;
    @Getter
    private String message;

    private AgvTaskEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

}
